<?php

declare(strict_types=1);

namespace App\Framework\Deployment\Docker\Events;

use App\Framework\Deployment\Docker\ValueObjects\ContainerId;

/**
 * Container Started Event
 */
final readonly class ContainerStarted
{
    public function __construct(
        public ContainerId $containerId,
        public \DateTimeImmutable $timestamp
    ) {
    }
}
